File: changelog

package info (click to toggle)
gnomint 1.3.0-3
  • links: PTS
  • area: main
  • in suites: bullseye, sid
  • size: 5,540 kB
  • sloc: ansic: 13,488; sh: 11,291; makefile: 195; xml: 30
file content (235 lines) | stat: -rw-r--r-- 8,422 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
gnomint (1.3.0-3) unstable; urgency=medium

  * QA upload.
  * debian/patches/gcc-10.patch: New; fix FTBFS with GCC 10
    (Closes: #957287).
  * debian/patches/series: Update.
  * debian/control (Build-Depends): Switch to debhelper-compat; bump
    compat level to 13.
    (Standards-Version): Claim compliance with 4.5.0; no changes needed.
  * debian/compat: Delete.
  * debian/rules (override_dh_auto_configure): Attempt to get some clues
    regarding the FTBFS on alpha.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 23 Jun 2020 10:12:44 +0300

gnomint (1.3.0-2) unstable; urgency=medium

  * QA upload.
  * debian/patches/gsettings-port.patch: Remove GConf migration code.
    Fix crash on next startup if the main window gets resized.
  * debian/patches/spelling-errors.patch: Remove unrelated hunk.
  * debian/patches/gtk3-port.patch: New; port to GTK 3.
  * debian/patches/series: Update.
  * debian/compat: Bump to 12.
  * debian/control (Recommends): Remove gconf2.
    (Build-Depends): Bump debhelper requirement to >= 12.
    Replace virtual package libreadline6-dev with libreadline-dev.
    Replace libgtk2.0-dev with libgtk-3-dev.
    (Rules-Requires-Root): Set to no.
    (Standards-Version): Declare compliance with 4.4.1; no changes needed.
  * debian/rules: Don't set LDFLAGS; unnecessary with GCC 9.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 15 Oct 2019 16:51:31 +0300

gnomint (1.3.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * debian/compat: Set to 11.
  * debian/control: Run wrap-and-sort -ast.
    (Build-Depends): Bump debhelper requirement to match the compat level.
    Remove autotools-dev and libgconf2-dev.
    (Recommends): Add gconf2 for the sake of data migration.
    (Standards-Version): Claim compliance with 4.3.0 as of this release.
  * debian/rules: Enable all hardening.  Remove --with autotools_dev.
    (override_dh_auto_install): Remove gconf schemas stuff.
  * debian/patches/682432.patch: Refresh.
  * debian/patches/02-cflags.patch: Remove configure hunk; refresh and
    remove -Werror.  Fix typo in the patch description.
  * debian/patches/01-ldd.patch:
  * debian/patches/10_gnutlsv3.diff: Delete, fixed upstream.
  * debian/patches/fix-autoreconf.patch: New, fix autoreconf failure.
  * debian/patches/gsettings-port.patch: New, migrate from GConf to
    GSettings (Closes: #885817).  I believe the switch to GSettings also
    closes: #631768 which was probably due to the fact that GConf does not
    apply changes atomically.
  * debian/patches/export-private-key-crash.patch: New, fix crash when
    exporting the private key (Closes: #855200).  Thanks to Karl E.
    Jorgensen for the report.
  * debian/patches/desktop-file.patch: New, fix some lintian complaints.
  * debian/patches/spelling-errors.patch: New, self-explanatory.
  * debian/patches/series: Update.
  * debian/watch: New file.
  * debian/pixmaps/gnomint.xpm: Delete.
  * debian/gnomint.menu: Likewise.
  * debian/gnomint.install: Likewise.
  * debian/copyright: Declare format.
  * debian/source/options: Delete as per lintian's advice.

 -- Yavor Doganov <yavor@gnu.org>  Sat, 26 Jan 2019 22:16:06 +0200

gnomint (1.2.1-8) unstable; urgency=medium

  * QA upload.
  * Drop unnecessary Build-Depends on libgnomeui-dev
  * Build-Depend on libgconf2-dev and libgnutls28-dev

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 29 Dec 2017 13:13:47 -0500

gnomint (1.2.1-7) unstable; urgency=medium

  * QA upload.
  * 10_gnutlsv3: Fix FTBFS with gnutls3 by using gnutls_pkcs12_bag_t instead
    of relying on the *old* (removed) gnutls_pkcs12_bag #define.
  * Rebuild against libgcrypt20-dev.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 06 Jul 2014 13:51:37 +0200

gnomint (1.2.1-6) unstable; urgency=low

  * QA upload.
  * Bump Standards-Version (no changes).
  * Add explicit Build-Dependency on libgcrypt11-dev. Closes: #745944

 -- Andreas Metzler <ametzler@debian.org>  Sun, 27 Apr 2014 18:33:36 +0200

gnomint (1.2.1-5) unstable; urgency=low

  * QA upload.
  * debian/gnomint.links: Fix typos in manpage links. (Closes: #687313)
  * debian/{control,gnomint.menu,manpages/gnomint.1}: Fix spelling of X.509.
    (Closes: 684471)
  * debian/control:
    - Bump Standards-Version (no changes needed).
    - Bump debhelper B-D to >= 9.0
  * debian/compat: Bump to 9.
  * debian/rules:
    - Build with -Wl,--as-needed.
    - Don't install empty /usr/lib/*/pkgconfig and /etc directories.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 04 May 2013 21:59:27 +0200

gnomint (1.2.1-4) unstable; urgency=low

  * QA upload.
  * d/patches/682432.patch: Fix double free in tls_creation_data_free.
    (Closes: #682432)

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Sat, 04 Aug 2012 19:09:48 +0200

gnomint (1.2.1-3) unstable; urgency=low

  * Adding patch to not hardcode CFLAGS and respect the
    environemnt (Closes: #634395).
  * Orphaning package.

 -- Daniel Baumann <daniel@debian.org>  Thu, 08 Sep 2011 07:31:23 +0000

gnomint (1.2.1-2) unstable; urgency=low

  * Updating package to debhelper version 8.
  * Updating package to standards version 3.9.2.
  * Updating year in copyright file.
  * Updating year and version in manpage header.
  * Simplifying autotools handling in rules.
  * Switching to source format 3.0 (quilt).
  * Adding patch to explicitly link against libgcrypt.

 -- Daniel Baumann <daniel@debian.org>  Tue, 17 May 2011 20:04:17 +0200

gnomint (1.2.1-1) experimental; urgency=low

  * Merging upstream version 1.2.1.

 -- Daniel Baumann <daniel@debian.org>  Sat, 14 Aug 2010 14:12:30 +0200

gnomint (1.2.0-1) experimental; urgency=low

  * Adding explicit debian source version 1.0 until switch to 3.0.
  * Updating year in copyright file.
  * Updating to standards 3.8.4.
  * Updating standards version to 3.9.0.
  * Merging upstream version 1.2.0.
  * Updating standards version to 3.9.1.

 -- Daniel Baumann <daniel@debian.org>  Sat, 14 Aug 2010 14:04:20 +0200

gnomint (1.1.0-1) unstable; urgency=low

  * Correcting wrong vcs-browser field.
  * Merging upstream version 1.1.0:
    - should work with binutils-gold (Closes: #554669).
  * Removing libglade2-dev from build-depends, not required anymore with
    this version.

 -- Daniel Baumann <daniel@debian.org>  Sun, 08 Nov 2009 15:00:00 +0100

gnomint (1.0.0-2) unstable; urgency=low

  * Removing deprecated dh_desktop call.
  * Updating maintainer field.
  * Updating vcs fields.
  * Building against readline6.
  * Bumping versioned build-depends on debhelper.
  * Wrapping build-depends.
  * Updating package to standards version 3.8.3.
  * Sorting depends.
  * Adding maintainer homepage in copyright.
  * Simplifying debhelper install file.
  * Minimizing rules file.

 -- Daniel Baumann <daniel@debian.org>  Sun, 04 Oct 2009 09:47:09 +0200

gnomint (1.0.0-1) unstable; urgency=low

  * Using correct rfc-2822 date formats in changelog.
  * Merging upstream version 1.0.0.
  * Updating package to standards version 3.8.2.
  * Updating year in copyright file.
  * Updating date and version in manpage header.
  * Tidy rules file.

 -- Daniel Baumann <daniel@debian.org>  Tue, 07 Jul 2009 16:00:24 +0200

gnomint (0.9.9-1) unstable; urgency=low

  * Merging upstream version 0.9.9.
  * Updating rules to current state of the art.
  * Upgrading package to standards 3.8.1.

 -- Daniel Baumann <daniel@debian.org>  Sun, 05 Apr 2009 11:20:00 +0200

gnomint (0.9.1-1) unstable; urgency=low

  * Merging upstream version 0.9.1.
  * Updating year in copyright file.
  * Adding authors to docs file.
  * Adding symlink for gnomint-cli to gnomint manpage.
  * Updating date and version in manpage header.
  * Adding description in menu file.
  * Passing flags to configure as arguments.
  * Replacing obsolete dh_clean -k with dh_prep.
  * Adding dh_desktop to rules.
  * Prefixing debhelper files with package name.

 -- Daniel Baumann <daniel@debian.org>  Fri, 09 Jan 2009 12:48:00 -0500

gnomint (0.9.0-1) unstable; urgency=low

  * Merging upstream version 0.9.0.
  * Adding libreadline5-dev to build-depends.

 -- Daniel Baumann <daniel@debian.org>  Fri, 09 Jan 2009 12:28:00 -0500

gnomint (0.6.0-1) unstable; urgency=low

  * Merging upstream version 0.6.0.

 -- Daniel Baumann <daniel@debian.org>  Sat, 22 Nov 2008 15:37:00 +0100

gnomint (0.5.4-1) unstable; urgency=low

  * Initial release (Closes: #388303).

 -- Daniel Baumann <daniel@debian.org>  Fri, 07 Nov 2008 14:11:00 +0100